Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041527
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Localization Pack: Spain] AEAT 347minorhave not tried2019-08-01 15:372019-09-03 11:02
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisione858572478d2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned ToSandrahuguet
Regression introduced in release
Summary

0041527: Apply HQL style guide to AEAT347ReportAPRDao

DescriptionApply HQL style guide to AEAT347ReportAPRDao
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Openbravo ERP Tracking issue: Convert HQL to apply new style 
related to defect 0041280 closedcollazoandy4 Localization Pack: Spain AEAT347ReportAPRDao is not using bind-params 

-  Notes
(0113818)
collazoandy4 (developer)
2019-08-05 15:43

Test Plan
  Go to Tax Report Launcher and set:
    Organization: F&B España S.A
    Report: Modelo 347 2014 - Declaracion anual de operaciones con terceras personas
    Accounting Schema: F&B España, S.A US/A/Euro
    Calendar: Calendario España
    Year: 2017
    Period: Anually
    Clic on Input Parameter button
    Fill out the Persona and Teléfono fields
    Clic on Generate Electronic File button and check the process ends without errors

Test Plan
  Repeat the previous test plan for 'Modelo 347 2015 - Declaracion anual de operaciones con terceras personas' report
(0114370)
hgbot (developer)
2019-09-03 11:00

Repository: erp/pmods/org.openbravo.module.aeat347apr.es
Changeset: e858572478d25269cd408b86e759817c39751769
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Aug 02 13:31:22 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.aeat347apr.es/rev/e858572478d25269cd408b86e759817c39751769 [^]

Fixes issue 41527: Apply HQL style guide to AEAT347ReportAPRDao and
AEAT347ReportAPR2014Dao

Applied the new HQL style in AEAT3492010ReportDao and AEAT347ReportAPR2014Dao

---
M src/org/openbravo/module/aeat347apr/es/AEAT347ReportAPRDao.java
M src/org/openbravo/module/aeat347apr/es/v2014/AEAT347ReportAPR2014Dao.java
---
(0114374)
Sandrahuguet (developer)
2019-09-03 11:02

code review + testing ok

- Issue History
Date Modified Username Field Change
2019-08-01 15:37 collazoandy4 New Issue
2019-08-01 15:37 collazoandy4 Assigned To => collazoandy4
2019-08-01 15:37 collazoandy4 Status new => scheduled
2019-08-01 15:37 collazoandy4 Relationship added related to 0041287
2019-08-05 15:43 collazoandy4 Note Added: 0113818
2019-09-02 16:34 Sandrahuguet Relationship added related to 0041280
2019-09-03 11:00 hgbot Checkin
2019-09-03 11:00 hgbot Note Added: 0114370
2019-09-03 11:00 hgbot Status scheduled => resolved
2019-09-03 11:00 hgbot Resolution open => fixed
2019-09-03 11:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.module.aeat347apr.es/rev/e858572478d25269cd408b86e759817c39751769 [^]
2019-09-03 11:02 Sandrahuguet Review Assigned To => Sandrahuguet
2019-09-03 11:02 Sandrahuguet Note Added: 0114374
2019-09-03 11:02 Sandrahuguet Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker